Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core.factory
Class ForEachNodeFactory

    java.lang.Object
      org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
          org.jbpm.ruleflow.core.factory.ForEachNodeFactory

    public class ForEachNodeFactory

extends RuleFlowNodeContainerFactory

Constructor Summary
`ForEachNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

Method Summary
`ForEachNodeFactory` | `collectionExpression(String collectionExpression)`
`RuleFlowNodeContainerFactory` | `done()`
`protected ForEachNode` | `getForEachNode()`
`ForEachNodeFactory` | `linkIncomingConnections(long nodeId)`
`ForEachNodeFactory` | `linkOutgoingConnections(long nodeId)`
`ForEachNodeFactory` | `variable(String variableName, org.drools.process.core.datatype.DataType dataType)`
`ForEachNodeFactory` | `waitForCompletion(boolean waitForCompletion)`

Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
`actionNode, compositeNode, connection, endNode, eventNode, faultNode, forEachNode, getNodeContainer, humanTaskNode, joinNode, milestoneNode, ruleSetNode, setNodeContainer, splitNode, startNode, subProcessNode, timerNode, workItemNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForEachNodeFactory

    public ForEachNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                              NodeContainer nodeContainer,
                              long id)

Method Detail

### getForEachNode

    protected ForEachNode getForEachNode()

### collectionExpression

    public ForEachNodeFactory collectionExpression(String collectionExpression)

### variable

    public ForEachNodeFactory variable(String variableName,
                                       org.drools.process.core.datatype.DataType dataType)

### waitForCompletion

    public ForEachNodeFactory waitForCompletion(boolean waitForCompletion)

### linkIncomingConnections

    public ForEachNodeFactory linkIncomingConnections(long nodeId)

### linkOutgoingConnections

    public ForEachNodeFactory linkOutgoingConnections(long nodeId)

### done

    public RuleFlowNodeContainerFactory done()

  Specified by:
    `done` in class `RuleFlowNodeContainerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.